## org.apache.poi.hssf.record
Class EndSubRecord

    java.lang.Object
      org.apache.poi.hssf.record.SubRecord
          org.apache.poi.hssf.record.EndSubRecord

    public final class EndSubRecord

extends SubRecord

ftEnd (0x0000)

The end data record is used to denote the end of the subrecords.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`EndSubRecord()`
`EndSubRecord(LittleEndianInput in, int size)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`short` `getSid()`
`boolean` `isTerminating()` Wether this record terminates the sub-record stream.
`void` `serialize(LittleEndianOutput out)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hssf.record.SubRecord
`createSubRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### EndSubRecord

    public EndSubRecord()

### EndSubRecord

    public EndSubRecord(LittleEndianInput in,
                        int size)

Parameters:
  `in` - unused (since this record has no data)
  `size` -

Method Detail

### isTerminating

    public boolean isTerminating()

  Description copied from class: `SubRecord`
  Wether this record terminates the sub-record stream. There are two cases when this method must be overridden and return `true` - EndSubRecord (sid = 0x00) - LbsDataSubRecord (sid = 0x12)

  Overrides:
    `isTerminating` in class `SubRecord`
  Returns:
    whether this record is the last in the sub-record stream

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### serialize

    public void serialize(LittleEndianOutput out)

  Specified by:
    `serialize` in class `SubRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `SubRecord`
  Returns:
    the size of the data for this record (which is always 4 bytes less than the total record size). Note however, that ushort encoded after the record sid is usually but not always the data size.

### getSid

    public short getSid()

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `SubRecord`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.